LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 10-10-2003, 01:25 PM   #1
sub_slack
Member
 
Registered: Jul 2003
Distribution: slackware
Posts: 56

Rep: Reputation: 15
gaim and msn


just installed gaim 0.71 it compiled ok. but now when i start it it says
The required plugin MSN was unable to load.
How do i fix this?
 
Old 10-10-2003, 01:39 PM   #2
XavierP
Moderator
 
Registered: Nov 2002
Location: Kent, England
Distribution: Debian Testing
Posts: 19,192
Blog Entries: 4

Rep: Reputation: 473Reputation: 473Reputation: 473Reputation: 473Reputation: 473
Go here and look under the "using Gaim" section.

Hope this helps.
 
Old 10-10-2003, 01:49 PM   #3
sub_slack
Member
 
Registered: Jul 2003
Distribution: slackware
Posts: 56

Original Poster
Rep: Reputation: 15
i read that , it does not help
 
Old 10-10-2003, 02:07 PM   #4
XavierP
Moderator
 
Registered: Nov 2002
Location: Kent, England
Distribution: Debian Testing
Posts: 19,192
Blog Entries: 4

Rep: Reputation: 473Reputation: 473Reputation: 473Reputation: 473Reputation: 473
The Gaim FAQ says that is loaded automatically when you add the account. What happens to you when you try to use it? What is the full error message? Could you load the program via a terminal, then try to use MSN and then post the results from the terminal.

Have you tried aMSN? It works just like MSN Messenger.
 
Old 10-10-2003, 02:07 PM   #5
asklepios
Member
 
Registered: Apr 2003
Distribution: Slackware 10.0
Posts: 46

Rep: Reputation: 15
did you check in their IRC channel? they have some real nice guys in there.
i m using 0.71 right now and doesn't seem to be any problem to me. btw did you compile with ssl or without?
i have heard that without ssl is causing some problems in connecting to msn

Last edited by asklepios; 10-10-2003 at 02:09 PM.
 
Old 10-10-2003, 02:17 PM   #6
sub_slack
Member
 
Registered: Jul 2003
Distribution: slackware
Posts: 56

Original Poster
Rep: Reputation: 15
i run it from the console . just when it starts it gives this error
The required plugin MSN was unable to load.
i cant add msn users because i cant choose the msn protocol from the list , its not there.
I'm sure the plugin is there i checked. its called libmsn.so and it's in /usr/local/lib/gaim with other protocol plugins.
i didnt compile it with ssl i guess. just did configure, make ,make install.
i'll try to compile 0.70 if that does not find msn . i'll try amsn
 
Old 10-10-2003, 09:18 PM   #7
RakeRon
LQ Newbie
 
Registered: Oct 2003
Distribution: SuSE 8.2
Posts: 11

Rep: Reputation: 0
I'm having the same problem. I just rolled back to 0.70 till someone figures out why its missing the msn plugin.
 
Old 10-11-2003, 03:03 AM   #8
reallife
LQ Newbie
 
Registered: Oct 2003
Distribution: Redhat 9
Posts: 7

Rep: Reputation: 0
I am having the same problem too. Anybody has experience to tackle it?
 
Old 10-11-2003, 04:45 AM   #9
asklepios
Member
 
Registered: Apr 2003
Distribution: Slackware 10.0
Posts: 46

Rep: Reputation: 15
i just checked their IRC channel. MSN does require SSL to work. i didn't experience any problems with MSN cos i always compile with SSL (cos of Jabber).
imo you all should upgrade to 0.71 with SSL cos another update to MSN protocol is in the air. you ppl might face difficulties later.
 
Old 10-12-2003, 01:40 AM   #10
RakeRon
LQ Newbie
 
Registered: Oct 2003
Distribution: SuSE 8.2
Posts: 11

Rep: Reputation: 0
isn't SSL configured by default?
 
Old 10-12-2003, 06:18 AM   #11
asklepios
Member
 
Registered: Apr 2003
Distribution: Slackware 10.0
Posts: 46

Rep: Reputation: 15
nope it is not. you have to tell it at the time of configure by passing parameters like
--enable-gnutls=yes or --enable-nss=yes
depending on what libraries you have.
 
Old 10-12-2003, 01:31 PM   #12
Yatta
LQ Newbie
 
Registered: Oct 2003
Location: Jamaica
Distribution: SuSE 9
Posts: 10

Rep: Reputation: 0
checking for pkg-config... /usr/local/bin/pkg-config
checking for glib-2.0 >= 2.1.4 atk >= 1.0.1 pango >= 1.0.1... Package glib-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `glib-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'glib-2.0' found

configure: error: Library requirements (glib-2.0 >= 2.1.4 atk >= 1.0.1 pango >= 1.0.1) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.


I get this error when i try to "./configure" gtk+-2.2.4
But i do have it.. checking for GLIB - version >= 2.0.0... yes (version 2.2.1)

So what's the deal??
 
Old 10-12-2003, 09:58 PM   #13
bender647
LQ Newbie
 
Registered: May 2003
Location: Boston
Distribution: Slackware
Posts: 26

Rep: Reputation: 16
Solution for Mozilla nss library users

I had this problem too. In the end, I modified the gaim.Slackbuild script
from the slack source to make a gaim-0.71 package with MSN support.
Note: if you have gnuls, this is probably not your best solution.

Here's the lines that do the work:
CFLAGS="-O2 -march=i486 -mcpu=i686" \
LD_RUN_PATH=/usr/lib/mozilla-1.4 \
./configure --prefix=/usr \
--enable-nss=yes \
--with-nspr-libs=/usr/lib/mozilla-1.4 \
--with-nspr-includes=/usr/include/mozilla-1.4/nspr \
--with-nss-libs=/usr/lib/mozilla-1.4 \
--with-nss-includes=/usr/include/mozilla-1.4/nss \
--enable-tcl \
--enable-tk \
--with-tkconfig=/usr/lib \
--with-tclconfig=/usr/lib \
--disable-gtkspell \
i486-slackware-linux 1>config.log 2>&1
LD_RUN_PATH=/usr/lib/mozilla-1.4 make
LD_RUN_PATH=/usr/lib/mozilla-1.4 make install DESTDIR=$PKG

The downside is that Gaim depends on the Mozilla-1.4 package
when built this way. You could reduce the pain somewhat by
linking all the mozilla-1.4 directories to just mozilla, and maintaining
that link as Mozilla is upgraded. Or if you didn't mind larger
footprints, statically link it with --enable-nss=static and then
you could remove Mozilla entirely if you wanted.

LD_RUN_PATH is for the linker so I don't have to put the mozilla libs
in my LD_LIBRARY_PATH at run-time. Its probably only needed
in the "make" stage.

Remove the DESTDIR=$PKG stuff if you aren't using the slackbuild
script.

The tcl/tk lines won't work if you have tcl8.4 -- the stupid
config script looks specifically for version 8.3 only.

I disabled gtk-spell because I don't have the package installed.

Good luck.
___
Ken
 
Old 10-14-2003, 02:13 AM   #14
End11
Member
 
Registered: Sep 2003
Distribution: slackware 9.1
Posts: 39

Rep: Reputation: 15
so i'm enough of a newb that i dindt understand much of what that last guy said...
anyway im back to the original question; i got it all working exept for msn. the faq on teh gaim site told me:

You did not compile with SSL support. As of protocol version 9, the MSN protocol requires the use of SSL, which gaim provides by either GnuTls or the combination of NSS and NSPR from the Mozilla project. Install one or both of these and recompile Gaim.

Can anybody tell me in short, simple, english words how i can accomplish this? a link to some sort of file, maybe?
if this requires compiling a kernel, or whatever i think i may have to give up until i'm a bit better at all this.
Have mercy on me.
 
Old 10-14-2003, 01:49 PM   #15
jharris
Senior Member
 
Registered: May 2001
Location: Bristol, UK
Distribution: Slackware, Fedora, RHES
Posts: 2,243

Rep: Reputation: 46
What version of Slackware are you running?

Gaim on my box (Slack 9.1) failed because at compile time it found the Mozilla SSL client library and said it was going to use that. But at run time it was unable to fine it. I simply had to edit my /etc/ld.so.conf to include the following line
Code:
/usr/lib/mozilla-1.4
then run
Code:
ldconfig
Mind you if your Mozilla libraries are in a different place, or if your Gaim didn't link against the Moz libs then you'll need to specify a different location.

I found this out by starting gaim -d then running ldd on the plugin that it said it couldn't load.

HTH

Jamie...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
MSN in Gaim Seiken Slackware 5 04-11-2005 07:43 PM
Gaim/msn Boffy Linux - Software 4 02-16-2005 11:07 AM
Gaim - MSN ?!? Morpheusx00x Linux - Newbie 5 08-06-2004 02:52 PM
How do I use msn on GAIM truedlp Linux - Newbie 10 11-26-2003 01:29 AM
Gaim/MSN protocols and problems upgrading Gaim and Kopete. sergeantroach Linux - Software 5 11-01-2003 08:27 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 09:27 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration